org.keycloak.models.sessions.infinispan.util

## Class SessionTimeouts

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.util.SessionTimeouts

-     public class SessionTimeouts
      extends Object

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `ENTRY_EXPIRED_FLAG` This indicates that entry is already expired and should be removed from the cache
    `static int` | `MINIMAL_EXPIRATION_SEC` This is used just if timeouts are not set on the realm (usually happens just during tests when realm is created manually with the model API)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionTimeouts()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `getClientSessionLifespanMs(RealmModel realm, AuthenticatedClientSessionEntity clientSessionEntity)` Get the maximum lifespan, which this clientSession can remain in the infinispan cache.
    `static long` | `getClientSessionMaxIdleMs(RealmModel realm, AuthenticatedClientSessionEntity clientSessionEntity)` Get the maxIdle, which this clientSession will use.
    `static long` | `getLoginFailuresLifespanMs(RealmModel realm, LoginFailureEntity loginFailureEntity)` Not using lifespan for detached login failure (backwards compatibility with the background cleaner threads, which were used for cleanup of detached login failures)
    `static long` | `getLoginFailuresMaxIdleMs(RealmModel realm, LoginFailureEntity loginFailureEntity)` Not using maxIdle for detached login failure (backwards compatibility with the background cleaner threads, which were used for cleanup of detached login failures)
    `static long` | `getOfflineClientSessionLifespanMs(RealmModel realm, AuthenticatedClientSessionEntity authenticatedClientSessionEntity)` Get the maximum lifespan, which this offline clientSession can remain in the infinispan cache.
    `static long` | `getOfflineClientSessionMaxIdleMs(RealmModel realm, AuthenticatedClientSessionEntity authenticatedClientSessionEntity)` Get the maxIdle, which this offline clientSession will use.
    `static long` | `getOfflineSessionLifespanMs(RealmModel realm, UserSessionEntity userSessionEntity)` Get the maximum lifespan, which this offline userSession can remain in the infinispan cache.
    `static long` | `getOfflineSessionMaxIdleMs(RealmModel realm, UserSessionEntity userSessionEntity)` Get the maximum idle time for this offline userSession.
    `static long` | `getUserSessionLifespanMs(RealmModel realm, UserSessionEntity userSessionEntity)` Get the maximum lifespan, which this userSession can remain in the infinispan cache.
    `static long` | `getUserSessionMaxIdleMs(RealmModel realm, UserSessionEntity userSessionEntity)` Get the maximum idle time for this userSession.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ENTRY_EXPIRED_FLAG

          public static final long ENTRY_EXPIRED_FLAG

      This indicates that entry is already expired and should be removed from the cache
      See Also:
        Constant Field Values

    - #### MINIMAL_EXPIRATION_SEC

          public static final int MINIMAL_EXPIRATION_SEC

      This is used just if timeouts are not set on the realm (usually happens just during tests when realm is created manually with the model API)
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SessionTimeouts

          public SessionTimeouts()

  - ### Method Detail

    - #### getUserSessionLifespanMs

          public static long getUserSessionLifespanMs(RealmModel realm,
                                                      UserSessionEntity userSessionEntity)

      Get the maximum lifespan, which this userSession can remain in the infinispan cache. Returned value will be used as "lifespan" when calling put/replace operation in the infinispan cache for this entity
      Parameters:
        `realm` -
        `userSessionEntity` -
      Returns:

    - #### getUserSessionMaxIdleMs

          public static long getUserSessionMaxIdleMs(RealmModel realm,
                                                     UserSessionEntity userSessionEntity)

      Get the maximum idle time for this userSession. Returned value will be used when as "maxIdleTime" when calling put/replace operation in the infinispan cache for this entity
      Parameters:
        `realm` -
        `userSessionEntity` -
      Returns:

    - #### getClientSessionLifespanMs

          public static long getClientSessionLifespanMs(RealmModel realm,
                                                        AuthenticatedClientSessionEntity clientSessionEntity)

      Get the maximum lifespan, which this clientSession can remain in the infinispan cache. Returned value will be used as "lifespan" when calling put/replace operation in the infinispan cache for this entity
      Parameters:
        `realm` -
        `clientSessionEntity` -
      Returns:

    - #### getClientSessionMaxIdleMs

          public static long getClientSessionMaxIdleMs(RealmModel realm,
                                                       AuthenticatedClientSessionEntity clientSessionEntity)

      Get the maxIdle, which this clientSession will use. Returned value will be used as "maxIdle" when calling put/replace operation in the infinispan cache for this entity
      Parameters:
        `realm` -
        `clientSessionEntity` -
      Returns:

    - #### getOfflineSessionLifespanMs

          public static long getOfflineSessionLifespanMs(RealmModel realm,
                                                         UserSessionEntity userSessionEntity)

      Get the maximum lifespan, which this offline userSession can remain in the infinispan cache. Returned value will be used as "lifespan" when calling put/replace operation in the infinispan cache for this entity
      Parameters:
        `realm` -
        `userSessionEntity` -
      Returns:

    - #### getOfflineSessionMaxIdleMs

          public static long getOfflineSessionMaxIdleMs(RealmModel realm,
                                                        UserSessionEntity userSessionEntity)

      Get the maximum idle time for this offline userSession. Returned value will be used when as "maxIdleTime" when calling put/replace operation in the infinispan cache for this entity
      Parameters:
        `realm` -
        `userSessionEntity` -
      Returns:

    - #### getOfflineClientSessionLifespanMs

          public static long getOfflineClientSessionLifespanMs(RealmModel realm,
                                                               AuthenticatedClientSessionEntity authenticatedClientSessionEntity)

      Get the maximum lifespan, which this offline clientSession can remain in the infinispan cache. Returned value will be used as "lifespan" when calling put/replace operation in the infinispan cache for this entity
      Parameters:
        `realm` -
        `authenticatedClientSessionEntity` -
      Returns:

    - #### getOfflineClientSessionMaxIdleMs

          public static long getOfflineClientSessionMaxIdleMs(RealmModel realm,
                                                              AuthenticatedClientSessionEntity authenticatedClientSessionEntity)

      Get the maxIdle, which this offline clientSession will use. Returned value will be used as "maxIdle" when calling put/replace operation in the infinispan cache for this entity
      Parameters:
        `realm` -
        `authenticatedClientSessionEntity` -
      Returns:

    - #### getLoginFailuresLifespanMs

          public static long getLoginFailuresLifespanMs(RealmModel realm,
                                                        LoginFailureEntity loginFailureEntity)

      Not using lifespan for detached login failure (backwards compatibility with the background cleaner threads, which were used for cleanup of detached login failures)
      Parameters:
        `realm` -
        `loginFailureEntity` -
      Returns:

    - #### getLoginFailuresMaxIdleMs

          public static long getLoginFailuresMaxIdleMs(RealmModel realm,
                                                       LoginFailureEntity loginFailureEntity)

      Not using maxIdle for detached login failure (backwards compatibility with the background cleaner threads, which were used for cleanup of detached login failures)
      Parameters:
        `realm` -
        `loginFailureEntity` -
      Returns:

Copyright © 2021 JBoss by Red Hat. All rights reserved.